Package org.eclipse.emf.spi.cdo

# Enum Class DefaultCDOMerger.ResolutionPreference

java.lang.Object
java.lang.Enum<DefaultCDOMerger.ResolutionPreference>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.ResolutionPreference

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCDOMerger.ResolutionPreference>`, `java.lang.constant.Constable`

Enclosing class:
  `DefaultCDOMerger`

public static enum DefaultCDOMerger.ResolutionPreference extends Enum<DefaultCDOMerger.ResolutionPreference>
Enumerates the possible resolution preferences that can be used with a `DefaultCDOMerger`.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHANGE_OVER_DETACH`
Deprecated.
`DETACH_OVER_CHANGE`
Deprecated.
`NONE`
`SOURCE_OVER_TARGET`
Deprecated.
`TARGET_OVER_SOURCE`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static DefaultCDOMerger.ResolutionPreference`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.ResolutionPreference[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final DefaultCDOMerger.ResolutionPreference NONE

### SOURCE_OVER_TARGET

@Deprecated public static final DefaultCDOMerger.ResolutionPreference SOURCE_OVER_TARGET
Deprecated.

### TARGET_OVER_SOURCE

@Deprecated public static final DefaultCDOMerger.ResolutionPreference TARGET_OVER_SOURCE
Deprecated.

### DETACH_OVER_CHANGE

@Deprecated public static final DefaultCDOMerger.ResolutionPreference DETACH_OVER_CHANGE
Deprecated.

### CHANGE_OVER_DETACH

@Deprecated public static final DefaultCDOMerger.ResolutionPreference CHANGE_OVER_DETACH
Deprecated.

## Method Details

### values

public static DefaultCDOMerger.ResolutionPreference[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultCDOMerger.ResolutionPreference valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null